<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarNav">
    <ul class="navbar-nav">
      <li class="nav-item active" [routerLinkActive]="['active-li']">
        <a class="nav-link" [routerLink]="'/home'" [routerLinkActive]="['active-a']">Home</a>
      </li>
      <li class="nav-item" [routerLinkActive]="['active-li']">
        <a class="nav-link" [routerLink]="['/books']" [routerLinkActive]="['active-a']">Books</a>
      </li>
      <li class="nav-item" [routerLinkActive]="['active-li']">
        <a class="nav-link" [routerLink]="['/createBook']" [routerLinkActive]="['active-a']">Create Book</a>
      </li>
      <li class="nav-item" [routerLinkActive]="['active-li']">
        <a class="nav-link" [routerLink]="['/login']" [routerLinkActive]="['active-a']">Login</a>
      </li>
      <li class="nav-item" [routerLinkActive]="['active-li']">
        <a class="nav-link" [routerLink]="['/register']" [routerLinkActive]="['active-a']">Register</a>
      </li>
    </ul>
  </div>
</nav>
